# Interface IComponentDefinition

## Index

### Properties

- ID
- className
- doExport
- fields
- options
- parent

### Constructors

- constructor

## Properties

### ID

ID: string

- Defined in ui/Base/Component.ts :28

### Optional className

className: string

- Defined in ui/Base/Component.ts :34

### Optional doExport

doExport: function

- Defined in ui/Base/Component.ts :38

#### Type declaration

- - (): void

  - #### Returns void

### Optional fields

fields: string[]

- Defined in ui/Base/Component.ts :58

### Optional options

options: any

- Defined in ui/Base/Component.ts :50

### Optional parent

parent: IComponentDefinition

- Defined in ui/Base/Component.ts :54

## Constructors

### constructor

- new IComponentDefinition(element: HTMLElement, options: any, bindings: IComponentBindings, ...args: any[]): Component

- - Defined in ui/Base/Component.ts :38

  #### Parameters

  - ##### element: HTMLElement

  - ##### options: any

  - ##### bindings: IComponentBindings

  - ##### Rest ...args: any[]

  #### Returns Component

### Hierarchy

- IComponentDefinition